> ## Documentation Index
> Fetch the complete documentation index at: https://docs.craveup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Poll checkout order state



## OpenAPI

````yaml /generated/storefront.openapi.json get /locations/{locationId}/carts/{cartId}/order-result
openapi: 3.0.3
info:
  title: Crave Storefront API
  version: 2.0.0
  description: >-
    Direct public Storefront API. Anonymous catalog reads require no API key.
    Protected resources use purpose-limited cart, checkout, receipt, or customer
    credentials.
  contact:
    name: Crave Support
    email: hello@craveup.com
servers:
  - url: https://api.craveup.com/api/v1/storefront
    description: Production Storefront API
  - url: https://dev-api-43233223.craveup.com/api/v1/storefront
    description: Sandbox Storefront API
security: []
tags:
  - name: Merchants
  - name: Locations
  - name: Ordering Sessions
  - name: Menus
  - name: Products
  - name: Analytics
  - name: Carts
  - name: Checkout
  - name: Cart Items
  - name: Discounts
  - name: Loyalty
  - name: Customer Authentication
  - name: Customers
  - name: Orders
paths:
  /locations/{locationId}/carts/{cartId}/order-result:
    get:
      tags:
        - Checkout
      summary: Poll checkout order state
      operationId: storefrontGetOrderResult
      parameters:
        - name: locationId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 128
        - name: cartId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 128
      responses:
        '200':
          description: Current checkout state.
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      state:
                        type: string
                        enum:
                          - payment_pending
                    required:
                      - state
                    additionalProperties: false
                  - type: object
                    properties:
                      state:
                        type: string
                        enum:
                          - order_pending
                    required:
                      - state
                    additionalProperties: false
                  - type: object
                    properties:
                      state:
                        type: string
                        enum:
                          - completed
                      order:
                        type: object
                        properties:
                          id:
                            type: string
                            minLength: 1
                            maxLength: 128
                          shortId:
                            type: string
                          restaurantDisplayName:
                            type: string
                          fulfillmentMethod:
                            type: string
                          fulfillmentIdentifier:
                            type: string
                          pickupType:
                            type: string
                          orderTime:
                            type: string
                          orderDate:
                            type: string
                          totalQuantity:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          currency:
                            type: string
                          orderTotal:
                            type: string
                            pattern: ^-?\d+(?:\.\d+)?$
                          status:
                            type: string
                          createdAt:
                            type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                          partiallyRefunded:
                            type: boolean
                          items:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  minLength: 1
                                  maxLength: 128
                                name:
                                  type: string
                                quantity:
                                  type: integer
                                  minimum: 0
                                  maximum: 9007199254740991
                                price:
                                  type: string
                                  pattern: ^-?\d+(?:\.\d+)?$
                                total:
                                  type: string
                                  pattern: ^-?\d+(?:\.\d+)?$
                                discount:
                                  type: string
                                  pattern: ^-?\d+(?:\.\d+)?$
                                specialInstructions:
                                  type: string
                                modifiers:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      groupName:
                                        type: string
                                      name:
                                        type: string
                                      quantity:
                                        type: integer
                                        minimum: 0
                                        maximum: 9007199254740991
                                      price:
                                        type: string
                                        pattern: ^-?\d+(?:\.\d+)?$
                                    required:
                                      - groupName
                                      - name
                                      - quantity
                                      - price
                                    additionalProperties: false
                              required:
                                - id
                                - name
                                - quantity
                                - price
                                - total
                                - discount
                                - specialInstructions
                                - modifiers
                              additionalProperties: false
                          pricing:
                            type: object
                            properties:
                              subtotal:
                                type: string
                                pattern: ^-?\d+(?:\.\d+)?$
                              discount:
                                type: string
                                pattern: ^-?\d+(?:\.\d+)?$
                              tax:
                                type: string
                                pattern: ^-?\d+(?:\.\d+)?$
                              tip:
                                type: string
                                pattern: ^-?\d+(?:\.\d+)?$
                              serviceFee:
                                type: string
                                pattern: ^-?\d+(?:\.\d+)?$
                              fulfillmentFee:
                                type: string
                                pattern: ^-?\d+(?:\.\d+)?$
                              enterpriseFee:
                                type: string
                                pattern: ^-?\d+(?:\.\d+)?$
                              total:
                                type: string
                                pattern: ^-?\d+(?:\.\d+)?$
                              refunded:
                                type: string
                                pattern: ^-?\d+(?:\.\d+)?$
                              netPaid:
                                type: string
                                pattern: ^-?\d+(?:\.\d+)?$
                            required:
                              - subtotal
                              - discount
                              - tax
                              - tip
                              - serviceFee
                              - fulfillmentFee
                              - enterpriseFee
                              - total
                              - refunded
                              - netPaid
                            additionalProperties: false
                          deliveryInfo:
                            nullable: true
                            type: object
                            properties:
                              deliveryAddress:
                                type: string
                          roomServiceInfo:
                            nullable: true
                            type: object
                            additionalProperties: {}
                          tableServiceInfo:
                            nullable: true
                            type: object
                            additionalProperties: {}
                          payment:
                            nullable: true
                            type: object
                            properties:
                              cardLast4:
                                nullable: true
                                type: string
                              walletType:
                                nullable: true
                                type: string
                              cardBrand:
                                nullable: true
                                type: string
                            required:
                              - cardLast4
                              - walletType
                              - cardBrand
                          updatedAt:
                            nullable: true
                            type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                        required:
                          - id
                          - shortId
                          - restaurantDisplayName
                          - fulfillmentMethod
                          - fulfillmentIdentifier
                          - pickupType
                          - orderTime
                          - orderDate
                          - totalQuantity
                          - currency
                          - orderTotal
                          - status
                          - createdAt
                          - partiallyRefunded
                          - items
                          - pricing
                          - deliveryInfo
                          - roomServiceInfo
                          - tableServiceInfo
                          - payment
                          - updatedAt
                        additionalProperties: false
                    required:
                      - state
                      - order
                    additionalProperties: false
                  - type: object
                    properties:
                      state:
                        type: string
                        enum:
                          - failed
                      code:
                        type: string
                    required:
                      - state
                      - code
                    additionalProperties: false
        '400':
          description: The request is invalid.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '401':
          description: Authentication or capability authorization is required.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '403':
          description: The authenticated principal does not own this resource.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '404':
          description: The requested resource was not found.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '429':
          description: The request was rate limited.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '500':
          description: An unexpected error occurred.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '503':
          description: A required dependency is temporarily unavailable.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
      security:
        - StorefrontCartCapability: []
        - StorefrontCustomerAuth: []
components:
  schemas:
    CommerceErrorEnvelope:
      type: object
      properties:
        code:
          anyOf:
            - type: string
              enum:
                - VALIDATION_ERROR
                - UNAUTHORIZED
                - FORBIDDEN
                - NOT_FOUND
                - RATE_LIMITED
                - CART_CONFLICT
                - RESOURCE_CONFLICT
                - CART_IMMUTABLE
                - IDEMPOTENCY_KEY_REQUIRED
                - IDEMPOTENCY_KEY_REUSED
                - IDEMPOTENCY_IN_PROGRESS
                - DEPENDENCY_UNAVAILABLE
                - INTERNAL_ERROR
            - type: string
              minLength: 1
        message:
          type: string
          minLength: 1
        requestId:
          type: string
          minLength: 8
        details:
          type: object
          additionalProperties: {}
      required:
        - code
        - message
        - requestId
      additionalProperties: false
  securitySchemes:
    StorefrontCartCapability:
      type: apiKey
      in: header
      name: X-Cart-Token
      description: Purpose-limited capability returned for a guest cart.
    StorefrontCustomerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Merchant-bound customer session JWT returned by OTP verification.

````